- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QItemSelection Class Reference

Search for all occurrences

## Detailed Description

Definition at line 207 of file qitemselectionmodel.h.

`#include <qitemselectionmodel.h>`

Inheritance diagram for QItemSelection:
[legend]

List of all members.

## Public Member Functions
| QItemSelection ()
| QItemSelection (const QModelIndex &topLeft, const QModelIndex &bottomRight)
void | select (const QModelIndex &topLeft, const QModelIndex &bottomRight)
bool | contains (const QModelIndex &index) const
QModelIndexList | indexes () const
void | merge (const QItemSelection &other, QItemSelectionModel::SelectionFlags command)
## Static Public Member Functions
static void | split (const QItemSelectionRange &range, const QItemSelectionRange &other, QItemSelection *result)

## Constructor & Destructor Documentation

QItemSelection | ( |  | ) | `[inline]`

Definition at line 210 of file qitemselectionmodel.h.

    {}

QItemSelection | ( | const QModelIndex & | topLeft,
|  | const QModelIndex & | bottomRight
| ) |  |

## Member Function Documentation

void select | ( | const QModelIndex & | topLeft,
|  | const QModelIndex & | bottomRight
| ) |  |

Search for all occurrences

bool contains | ( | const QModelIndex & | index | ) | const

Search for all occurrences

QModelIndexList indexes | ( |  | ) | const

Search for all occurrences

void merge | ( | const QItemSelection & | other,
|  | QItemSelectionModel::SelectionFlags | command
| ) |  |

Search for all occurrences

static void split | ( | const QItemSelectionRange & | range,
|  | const QItemSelectionRange & | other,
|  | QItemSelection * | result
| ) |  | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qitemselectionmodel.h

QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection
QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection QItemSelection